package cn.ey.biz.module.system.api.permission;

import cn.ey.biz.common.pojo.R;
import cn.ey.biz.module.system.api.permission.dto.DataRoleRespDTO;
import cn.ey.biz.module.system.api.user.dto.AdminUserRespDTO;
import cn.ey.biz.module.system.service.permission.RoleService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;
import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;
import static cn.ey.biz.common.pojo.R.success;
import static cn.ey.biz.module.system.enums.ApiConstants.VERSION;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@DubboService(version = VERSION) // 提供 Dubbo RPC 接口，给 Dubbo Consumer 调用
@Validated
public class RoleApiImpl implements RoleApi {

    @Resource
    private RoleService roleService;

    @Override
    public R<Boolean> validRoles(Collection<Long> ids) {
        roleService.validRoles(ids);
        return success(true);
    }

    @Override
    public R<List<DataRoleRespDTO>> getUserDataRole(String userId) {
        return success(roleService.getUserDataRole(userId));
    }

    @Override
    public R<List<AdminUserRespDTO>> getUsersByRoleCode(String type, List<String> codes) {
        return success(roleService.getUsersByRoleCode(type,codes));
    }


}
